CC = @CC@

CFLAGS = -g -O2
PARTIAL_CFLAGS = -gnata -I../../../gnat -I../../../gvd $(CFLAGS) 
ALL_CFLAGS = -i @GTK_CFLAGS@ $(PARTIAL_CFLAGS) 
LINK_FLAGS = @GTK_LIBS@ @TARGET_LFLAGS@

all: test_language

pixmaps.o: ../../../pixmaps/pixmaps.c
	$(CC) -g -c ../../../pixmaps/pixmaps.c

test_language: pixmaps.o force
	gnatmake test_language $(ALL_CFLAGS) -largs $(LINK_FLAGS) pixmaps.o

install:

clean:
	-$(RM) *.o
	-$(RM) *.ali
	-$(RM) *~
	-$(RM) b~*
	-$(RM) test_language

mostlyclean: clean

distclean: mostlyclean
	-$(RM) Makefile

maintainer-clean: distclean

force:
